#ifndef lint
static char *RCSid = "$Header: /users/empire/EMP/empmain/SUBS/RCS/nuke.c,v 1.2 89/07/02 20:59:04 mr-frog Exp $";
#endif

/*
 * nuke.c
 *
 * nuke post-read and pre-write
 *
 * Dave Pare, 1989
 */

#include "misc.h"
#include "var.h"
#include "nuke.h"
#include "xy.h"
#include "file.h"
#include "nat.h"
#include "deity.h"

/*ARGSUSED*/
int
nuk_postread(n, ptr)
	int	n;
	char	*ptr;
{
	struct	nukstr *np = (struct nukstr *) ptr;

	owner = (god || np->nuk_own == cnum);
	return 1;
}

/*ARGSUSED*/
int
nuk_prewrite(n, ptr)
	int	n;
	char	*ptr;
{
	return 1;
}
